Bug 507465 - (CVE-2009-2285) CVE-2009-2285 libtiff: LZWDecodeCompat underflow
CVE-2009-2285 libtiff: LZWDecodeCompat underflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=internet,repor...
: Security
Depends On: 507722 507723 507724 507725 507726 507728 511015 809169
Blocks: 580448
  Show dependency treegraph
 
Reported: 2009-06-22 16:58 EDT by Mark J. Cox
Modified: 2012-04-02 12:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 05:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox 2009-06-22 16:58:59 EDT
A crafted TIFF can crash libtiff in LZWDecodeCompat via underflow (different
from CVE-2008-2327).

Discussions and an analysis are at:
http://www.lan.st/showthread.php?t=1856&page=3
https://bugs.launchpad.net/bugs/380149

It is reported upstream with patch at

http://bugzilla.maptools.org/show_bug.cgi?id=2065
Comment 6 Vincent Danen 2009-06-23 18:08:22 EDT
Note that there are two related bugs with two individual patches, the first reported Jan 2009 that indicates it resolves the root cause of the underflow rather than the infinite loop when it comes up. The older bug report is here:

http://bugzilla.maptools.org/show_bug.cgi?id=1985

with the patch for bug #1985 being: http://bugzilla.maptools.org/attachment.cgi?id=279

vs the patch for bug #2065 being: http://bugzilla.maptools.org/attachment.cgi?id=314
Comment 8 Tomas Hoger 2009-06-25 18:42:26 EDT
kfax (kdegraphics) in Red Hat Enterprise Linux 3 includes embedded copy of the libtiff library, but it does not support LZW-encoded tiff images.  For further details, see:

  https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2008-2327#c14
Comment 9 Tom Lane 2009-06-27 12:32:00 EDT
Hmm, the patch at upstream bug 1985 appears to prevent the crash, and it's a much more desirable fix than the one at 2065, because it results in a complaint about the image being corrupt instead of just silently bogus output.  I wonder why Frank didn't apply that one?  I'll try to ping him privately about it.
Comment 19 Jan Lieskovsky 2009-07-01 08:19:21 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-2285
to the following vulnerability:

Buffer underflow in the LZWDecodeCompat function in libtiff 3.8.2
allows context-dependent attackers to cause a denial of service
(crash) via a crafted TIFF image, a different vulnerability than
CVE-2008-2327.

References:
----------
http://www.openwall.com/lists/oss-security/2009/06/22/1
http://www.openwall.com/lists/oss-security/2009/06/23/1
http://www.openwall.com/lists/oss-security/2009/06/29/5
http://www.lan.st/showthread.php?t=1856&page=3
http://bugzilla.maptools.org/show_bug.cgi?id=2065
https://bugs.launchpad.net/ubuntu/+source/tiff/+bug/380149
Comment 20 Fedora Update System 2009-07-01 13:30:08 EDT
libtiff-3.8.2-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libtiff-3.8.2-13.fc10
Comment 21 Fedora Update System 2009-07-01 13:30:15 EDT
libtiff-3.8.2-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtiff-3.8.2-13.fc11
Comment 22 Fedora Update System 2009-07-01 13:30:22 EDT
libtiff-3.8.2-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libtiff-3.8.2-13.fc9
Comment 24 Fedora Update System 2009-07-03 15:41:34 EDT
libtiff-3.8.2-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-07-03 15:44:52 EDT
libtiff-3.8.2-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-07-03 15:55:50 EDT
libtiff-3.8.2-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Tomas Hoger 2009-07-13 04:58:13 EDT
Michael, you're maintaining recently-added-to-fedora mingw32-libtiff packages, that may need this as well.  You can find updated libtiff-3.8.2-lzw-bugs.patch patch in libtiff package CVS.
Comment 32 errata-xmlrpc 2009-07-16 15:50:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1159 https://rhn.redhat.com/errata/RHSA-2009-1159.html

Note You need to log in before you can comment on or make changes to this bug.